FreeBSD : OpenSMTPD -- multiple vulnerabilities (42852f72-6bd3-11e5-9909-002590263bf5)

High Nessus Plugin ID 86276


The remote FreeBSD host is missing a security-related update.


OpenSMTPD developers report :

fix an mda buffer truncation bug which allows a user to create forward files that pass session checks but fail delivery later down the chain, within the user mda

fix remote buffer overflow in unprivileged pony process

reworked offline enqueue to better protect against hardlink attacks


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 86276

File Name: freebsd_pkg_42852f726bd311e59909002590263bf5.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2015/10/06

Modified: 2015/10/06

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:opensmtpd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/10/06

Vulnerability Publication Date: 2015/10/04